Bug 174153 - Dell OpenManage can't use net-snmp using targetted policy
Dell OpenManage can't use net-snmp using targetted policy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 04:23 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: u3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 09:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snmpd.te.patch (419 bytes, patch)
2005-11-25 04:23 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-11-25 04:23:38 EST
When Dell OpenManage tries to talk to snmpd:

avc:  denied  { read } for  pid=13940 exe=/usr/sbin/snmpd name=sh dev=dm-0
ino=65547 scontext=root:system_r:snmpd_t tcontext=system_u:object_r:bin_t
tclass=lnk_file

Patch from Rezwanul_Kabir@dell.com
Comment 1 Bastien Nocera 2005-11-25 04:23:38 EST
Created attachment 121480 [details]
snmpd.te.patch
Comment 2 Daniel Walsh 2005-11-29 09:23:37 EST
Have you tried the test u3 policy available on 
ftp://people.redhat.com/dwalsh/SELinux/RHEL4/u3/noarch
Comment 3 Bastien Nocera 2005-12-02 09:41:56 EST
Does not work:

Dec  1 14:57:36 josh800 kernel: audit(1133470656.371:2): avc:  denied  { read }
for  pid=3904 comm="snmpd" name="sh" dev=sda3 ino=9846793
scontext=root:system_r:snmpd_t tcontext=system_u:object_r:bin_t tclass=lnk_file
Comment 4 Daniel Walsh 2005-12-10 13:34:34 EST
Try 123 on people.
Comment 6 Issue Tracker 2006-01-27 09:20:16 EST
From User-Agent: XML-RPC

The package selinux-policy-targeted-1.17.30-2.123.noarch.rpm from the ftp
link provided appears to have resolved the issue. Is it slated for
inclusion in RHEL4 U3? The beta1 code has
selinux-policy-targeted-1.17.30-2.122.noarch.rpm.




This event sent from IssueTracker by ltroan
 issue 83719
Comment 8 Daniel Walsh 2006-01-27 21:01:50 EST
Yes this fix will be in U3
Comment 9 Ritesh Raj Sarraf 2006-03-02 08:31:17 EST
Fixed in RHEL4 Update3 Beta3

Note You need to log in before you can comment on or make changes to this bug.